Update to 3.2.0 using Automatic Update

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
User avatar
Volksdevil
Registered User
Posts: 2414
Joined: Sun Oct 03, 2010 2:03 pm
Location: Lancashire, UK
Name: Neil
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by Volksdevil » Wed Jan 25, 2017 11:34 am

stevemaury wrote:
Tue Jan 24, 2017 9:12 am
Your /install directory is still present. Delete it.
It's a bug, you end up in a loop of trying to update, as you just end up being told to delete the install folder while trying to progress. I've posted about this countless times. - https://tracker.phpbb.com/browse/PHPBB3-14998

1/ Upload the install etc to perform update.
2/ Click the link in the ACP to update.
3/ That link sends you back to the index telling you to delete the install folder!
My phpBB Extensions
Finally found great Website Hosting from Image KUALO!
Do NOT use 123-reg.co.uk - Incapable of running phpBB!
:ugeek: TekNeil - Streamer on Mixer | My Volkswagen Corrado G60

User avatar
jumborex
Registered User
Posts: 142
Joined: Fri Mar 28, 2003 3:18 pm
Name: Franco Giambalvo
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by jumborex » Wed Jan 25, 2017 11:40 am

It's a bug, you end up in a loop of trying to update, as you just end up being told to delete the install folder while trying to progress. I've posted about this countless times
Right! This is exactly the situation: I've said it already some posts before: but what I'm looking for is "solutions".
As I said already, if I have no solution the only way for me is to abandon phpBB!
Sorry!
I'm personally really sorry after many, and many years with you!
I have not failed. I've just found 10,000 ways that won't work.
(Thomas Alva Edison)

Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 25194
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by Paul » Wed Jan 25, 2017 12:10 pm

So, did you actually delete the install/ directory? And what happened after that?
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development

User avatar
jumborex
Registered User
Posts: 142
Joined: Fri Mar 28, 2003 3:18 pm
Name: Franco Giambalvo
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by jumborex » Wed Jan 25, 2017 12:30 pm

Paul wrote:
Wed Jan 25, 2017 12:10 pm
So, did you actually delete the install/ directory? And what happened after that?
Well the board is working, using the version 3.1.10. The problem is that I cannot install the 3.2 and, I suppose, the following releases!
I have not failed. I've just found 10,000 ways that won't work.
(Thomas Alva Edison)

Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 25194
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by Paul » Wed Jan 25, 2017 12:34 pm

So what actual error do you get when you browse the install/ directory?
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development

User avatar
jumborex
Registered User
Posts: 142
Joined: Fri Mar 28, 2003 3:18 pm
Name: Franco Giambalvo
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by jumborex » Wed Jan 25, 2017 2:16 pm

Paul wrote:
Wed Jan 25, 2017 12:34 pm
So what actual error do you get when you browse the install/ directory?
Volksdevil described it well: the request of deleting the /install directory and no working activity.
I have not failed. I've just found 10,000 ways that won't work.
(Thomas Alva Edison)

Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 25194
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by Paul » Wed Jan 25, 2017 3:40 pm

Please post your board url to 3.2 with the install/ directory uploaded.
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development

User avatar
jumborex
Registered User
Posts: 142
Joined: Fri Mar 28, 2003 3:18 pm
Name: Franco Giambalvo
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by jumborex » Wed Jan 25, 2017 4:33 pm

Paul wrote:
Wed Jan 25, 2017 3:40 pm
Please post your board url to 3.2 with the install/ directory uploaded.
Ok: I do not know how this may help, but now the /install directory 3.2 is installed in this board:
http://www.cantodellasfinge.net/phpBB32/
I may help, if we establish a meeting hour.
I have not failed. I've just found 10,000 ways that won't work.
(Thomas Alva Edison)

Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 25194
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by Paul » Wed Jan 25, 2017 4:48 pm

http://www.cantodellasfinge.net/phpBB32/install/ when I visit that page I get the install page perfectly fine.
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development

User avatar
jumborex
Registered User
Posts: 142
Joined: Fri Mar 28, 2003 3:18 pm
Name: Franco Giambalvo
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by jumborex » Wed Jan 25, 2017 4:53 pm

Paul wrote:
Wed Jan 25, 2017 4:48 pm
http://www.cantodellasfinge.net/phpBB32/install/ when I visit that page I get the install page perfectly fine.
Nope! If you use that link you get an apparent working page: if you make a click upon the tab UPDATE, or CONVERT, or Support, or License, you get always a white page reporting:

No input file specified.
Ah! And this is true also if you enter that link starting from an Admin position!
I have not failed. I've just found 10,000 ways that won't work.
(Thomas Alva Edison)

Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 25194
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by Paul » Wed Jan 25, 2017 5:26 pm

Can you add

Code: Select all

AcceptPathInfo on
to you .htaccess file in the root of your forum, and see if the error still happens after that?
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development

User avatar
jumborex
Registered User
Posts: 142
Joined: Fri Mar 28, 2003 3:18 pm
Name: Franco Giambalvo
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by jumborex » Wed Jan 25, 2017 5:37 pm

No change.
This is my full .htaccess:

Code: Select all

<IfModule mod_rewrite.c>
RewriteEngine on

#
# Uncomment the statement below if URL rewriting doesn't
# work properly. If you installed phpBB in a subdirectory
# of your site, properly set the argument for the statement.
# e.g.: if your domain is test.com and you installed phpBB
# in http://www.test.com/phpBB/index.php you have to set
# the statement RewriteBase /phpBB/
#
#RewriteBase /

#
# Uncomment the statement below if you want to make use of
# HTTP authentication and it does not already work.
# This could be required if you are for example using PHP via Apache CGI.
#
#RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]

#
# The following 3 lines will rewrite URLs passed through the front controller
# to not require app.php in the actual URL. In other words, a controller is
# by default accessed at /app.php/my/controller, but can also be accessed at
# /my/controller
#
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.*)$ app.php [QSA,L]

#
# If symbolic links are not already being followed,
# uncomment the line below.
# http://anothersysadmin.wordpress.com/2008/06/10/mod_rewrite-forbidden-403-with-apache-228/
#
#Options +FollowSymLinks
</IfModule>

# With Apache 2.4 the "Order, Deny" syntax has been deprecated and moved from
# module mod_authz_host to a new module called mod_access_compat (which may be
# disabled) and a new "Require" syntax has been introduced to mod_authz_host.
# We could just conditionally provide both versions, but unfortunately Apache
# does not explicitly tell us its version if the module mod_version is not
# available. In this case, we check for the availability of module
# mod_authz_core (which should be on 2.4 or higher only) as a best guess.
<IfModule mod_version.c>
	<IfVersion < 2.4>
		<Files "config.php">
			Order Allow,Deny
			Deny from All
		</Files>
		<Files "common.php">
			Order Allow,Deny
			Deny from All
		</Files>
	</IfVersion>
	<IfVersion >= 2.4>
		<Files "config.php">
			Require all denied
		</Files>
		<Files "common.php">
			Require all denied
		</Files>
	</IfVersion>
</IfModule>
<IfModule !mod_version.c>
	<IfModule !mod_authz_core.c>
		<Files "config.php">
			Order Allow,Deny
			Deny from All
		</Files>
		<Files "common.php">
			Order Allow,Deny
			Deny from All
		</Files>
	</IfModule>
	<IfModule mod_authz_core.c>
		<Files "config.php">
			Require all denied
		</Files>
		<Files "common.php">
			Require all denied
		</Files>
	</IfModule>
</IfModule>
AcceptPathInfo on
I have not failed. I've just found 10,000 ways that won't work.
(Thomas Alva Edison)

Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 25194
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by Paul » Wed Jan 25, 2017 5:38 pm

Can you post the error log from your webserver? You can find this in most cases in the control panel from your webhost.
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development

User avatar
jumborex
Registered User
Posts: 142
Joined: Fri Mar 28, 2003 3:18 pm
Name: Franco Giambalvo
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by jumborex » Wed Jan 25, 2017 5:43 pm

These are the last:
[Wed Jan 25 18:05:41 2017] [error] [client 203.73.70.139] File does not exist: /web/htdocs/www.cantodellasfinge.net/home/wordpress ... wnload.php
[Wed Jan 25 18:05:39 2017] [error] [client 203.73.70.139] File does not exist: /web/htdocs/www.cantodellasfinge.net/home/wordpress ... n-ajax.php
[Wed Jan 25 17:05:23 2017] [error] [client 163.172.66.67] Directory index forbidden by Options directive: /web/htdocs/www.cantodellasfinge.net/home/junior/
I have not failed. I've just found 10,000 ways that won't work.
(Thomas Alva Edison)

User avatar
Volksdevil
Registered User
Posts: 2414
Joined: Sun Oct 03, 2010 2:03 pm
Location: Lancashire, UK
Name: Neil
Contact:

Re: Update to 3.2.0 using Automatic Update

Post by Volksdevil » Wed Jan 25, 2017 8:04 pm

Paul wrote:
Wed Jan 25, 2017 4:48 pm
http://www.cantodellasfinge.net/phpBB32/install/ when I visit that page I get the install page perfectly fine.
This is why nothing gets fixed around here...You know full well that the link in the ACP is wrong, you've even previously commented on my posting about it. And yet here you are acting as though you know nothing about it :roll:
My phpBB Extensions
Finally found great Website Hosting from Image KUALO!
Do NOT use 123-reg.co.uk - Incapable of running phpBB!
:ugeek: TekNeil - Streamer on Mixer | My Volkswagen Corrado G60

Post Reply

Return to “[3.2.x] Support Forum”